=== debian/changelog ===
golang-goyaml (0.0~bzr50-1) unstable; urgency=low

  * Initial package. Closes: #736091.

 -- Vincent Bernat <bernat@debian.org>  Sun, 19 Jan 2014 19:50:25 +0100
