=== debian/control ===
Source: golang-goyaml
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper (>= 8.0.0),
               dh-golang,
               golang-go,
               golang-gocheck-dev
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-goyaml.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-go/packages/golang-goyaml.git;a=summary
Homepage: https://wiki.ubuntu.com/goyaml

Package: golang-goyaml-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg-dev
Built-Using: ${misc:Built-Using}
Description: YAML support for the Go language
 The goyaml package enables Go programs to very comfortably encode and
 decode YAML values. It was developed within Canonical as part of the
 juju project, and is based on a pure Go port of the well-known libyaml
 C library to parse and generate YAML data quickly and reliably.
 .
 goyaml is almost compatible with YAML 1.1, including support for
 anchors, tags, etc. There are still a few missing bits, such as
 document merging, base-60 floats, and multi-document unmarshalling.
