=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS
export DH_GOPKG := launchpad.net/goyaml

%:
	dh $@ --buildsystem=golang --with=golang

.PHONY: get-orig-source
PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
PKG  = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
VER ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
REV  = $(shell echo $(VER) | perl -ne 'print $$1 if m/~bzr(\d+)$$/')
get-orig-source: $(PKG)_$(VER).orig.tar.xz $(info I: $(PKG)_$(VER))
$(PKG)_$(VER).orig.tar.xz:
	GOPATH=$(PKG)-$(VER) go get -d $(DH_GOPKG)
	cd $(PKG)-$(VER)/src/$(DH_GOPKG) \
	&& bzr revert -r$(REV) \
	&& bzr export $(PKG)-$(VER).tar \
	&& xz $(PKG)-$(VER).tar
	mv $(PKG)-$(VER)/src/$(DH_GOPKG)/$(PKG)-$(VER).tar.xz $@
	rm -rf $(PKG)-$(VER)
